<xsl:stylesheet
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        version="2.0">

        <xsl:output method="text" indent="no" />
        
    <xsl:template match="/">
        <xsl:text>
; Pack Information
Name = "Trillian Smiley Pack"
Author = "Adium Smiley Pack"
ButtonSmiley = "B-P"
SelectionSize = 16,16
WindowSize = 10,8
Version = "</xsl:text><xsl:value-of
select="plist/dict/integer"/><xsl:text>"</xsl:text>

; This file was converted from an Adium Smiley Pack

        <xsl:apply-templates select="plist/dict/dict"/>
    </xsl:template>
    
    <xsl:template match="dict">
            <xsl:apply-templates select="key"/>
    </xsl:template>
    
    <xsl:template match="key">
Smiley = <xsl:text>"</xsl:text><xsl:value-of
select="."/><xsl:text>"</xsl:text>, 0, <xsl:apply-templates
select="following-sibling::dict[1]/array"/>
    </xsl:template>
    
    <xsl:template match="array">
                <xsl:text>"</xsl:text>
                <xsl:for-each select="string">
                        <xsl:value-of select="."/>
                        <xsl:if test="position()!=last()">
                                <xsl:text> </xsl:text>
                        </xsl:if>
                </xsl:for-each>
                <xsl:text>", "</xsl:text><xsl:value-of
select="../string"/><xsl:text>"</xsl:text>
    </xsl:template>
</xsl:stylesheet>